# Uses of Class
org.apache.lucene.geo.Circle

Packages that use Circle
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of Circle in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type Circle
  Modifier and Type
  Method
  Description
  `static Query`
  LatLonShape.`newDistanceQuery(String field, ShapeField.QueryRelation queryRelation, Circle... circle)`
  create a query to find all polygons that intersect a provided circle.